package net.northking.cctp.scriptcase.dto.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@JsonSerialize
@ApiModel(description = "录制查询组件列表:模糊查询")
public class RecordComTreeLikeDto {

    @ApiModelProperty("历史树")
    private List<RecordComTreeDto> hisTree;
    @ApiModelProperty("基础树")
    private List<RecordComTreeDto> basicTree;
    @ApiModelProperty("业务树")
    private List<RecordComTreeDto> busTree;

    public List<RecordComTreeDto> getHisTree() {
        return hisTree;
    }

    public void setHisTree(List<RecordComTreeDto> hisTree) {
        this.hisTree = hisTree;
    }

    public List<RecordComTreeDto> getBasicTree() {
        return basicTree;
    }

    public void setBasicTree(List<RecordComTreeDto> basicTree) {
        this.basicTree = basicTree;
    }

    public List<RecordComTreeDto> getBusTree() {
        return busTree;
    }

    public void setBusTree(List<RecordComTreeDto> busTree) {
        this.busTree = busTree;
    }
}
